PonyProg :  PonyProg Phorum PonyProg
PonyProg open discussion 
Compile error on latest source
Posted by: Dave Neale ()
Date: July 28, 2013 10:03AM

I have downloaded the latest source 2.08c and am trying to compile under Visual Studio 2008. It did convert the files to this version of VS without error.
I get the error - unable to find file .\loaddrv.cpp
I have scanned the directories and the file is not there.
Could anyone help ?

Options: ReplyQuote
Re: Compile error on latest source
Posted by: Dave Neale ()
Date: July 28, 2013 04:21PM

I found the problem with ver 2.08c - it no longer supports Visual Studio ???????

However version 2.07c appears to, as there is no warning, and I can compile - without errors but am missing a library file called v1_25dbg.lib
Does anyone know where I can find this ?
I would appreciate any help.

Options: ReplyQuote
Re: Compile error on latest source
Posted by: _Sonix_ ()
Date: August 10, 2013 11:48PM

Hello Dave.

You could download source files from vlib and compile needed file yourself. The mirrored source files are at:

http://www.ccp14.ac.uk/ccp/ccp14/ftp-mirror/programming/objectcentral/

and the file name is v-1.25.tar.gz

After unpacking you will find the ms vs6 project workspace under directory tree v\msvc6\vlib\

Then you need to correct path to include files in the vlib project settings . Choose settings for "all configurations" and on the tab "c/c++" in the category "preprocessor" edit/write the path to the includew directory of the unpacked archive. In my case it is "c:\v-1.25\includew". Now you can rebuild the project for "win32 debug" and after sucessfully build the file is created in directory "debug" in my case in "c:\v-1.25\msvc6\vlib\Debug\".

Finaly in the ponyprog project files change/add the correct path to the newly created library and the ponyprog compilation should be successfully.

I found this "help" somewhere in this forum. Maybe it is not the simplest method but it worked for me.

Best regards

Sonix

Options: ReplyQuote
Re: Compile error on latest source
Posted by: RG ()
Date: August 30, 2013 10:30PM

Dave Neale Wrote:
-------------------------------------------------------
> I have downloaded the latest source 2.08c and am
> trying to compile under Visual Studio 2008. It did
> convert the files to this version of VS without
> error.
> I get the error - unable to find file
> .\loaddrv.cpp
> I have scanned the directories and the file is not
> there.
> Could anyone help ?


Hello Dave,

I have succesfully compilled source files from PonyProg 2.08c with Code::Blocks IDE. Mr. Lanconelli has included Code::Blocks project file within the source files.

There are few things that I had to change. Remove in build options from "other linker options" option -static-libstdc++ due to "unrecognized command line option", change option "-lV" to the correct name (new self compiled V library) and add library libstdc++ to build options then add two search directories to the linker InpOutLib\Win32, v\lib and finaly prepare V-lib to compilation of V library in the v folder.

I am using TDM-GCC mingw32 version 4.7.1 on win32 xp sp3

Best regards

RG

Options: ReplyQuote
Re: Compile error on latest source
Posted by: lancos ()
Date: November 06, 2013 04:00PM

VisualStudio is not supported anymore.
You can build with mingw by make or CodeBlocks as suggested by RG.

PS
RG would you like to attach updated codeblocks project file?

Options: ReplyQuote
Re: Compile error on latest source
Posted by: sonix ()
Date: November 06, 2013 08:35PM

lancos Wrote:
-------------------------------------------------------
> VisualStudio is not supported anymore.
> You can build with mingw by make or CodeBlocks as
> suggested by RG.
>
> PS
> RG would you like to attach updated codeblocks
> project file?


Hello lancos,

my CodeBlocks project file is here

http://ponyprog.sourceforge.net/phorum/file.php?2,file=42,filename=PonyProg2000.cbp.zip

Best regards

sonix (RG till today)

Options: ReplyQuote


Return to LancOS.
Powered by Phorum.